Create a payroll sync

Initiate a payroll sync for a company.

A payroll sync takes approved time sheet data and syncs it to the company's payroll.

Asynchronous processing

This endpoint triggers an asynchronous operation — the response will return immediately with a status of pending while the sync processes in the background.

To track completion:

Subscribe (via POST /v1/webhook_subscriptions) to PayrollSync webhook events

scope: payroll_syncs:write

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The UUID of the company

Body Params
string
enum
required

The kind of payroll sync.

  • regular: A regular payroll sync
Allowed:
uuid
required

Unique identifier of the pay schedule to sync time sheets for.

date
required

The start date of the pay period per ISO 8601 format.

date
required

The end date of the pay period per ISO 8601 format.

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json